.LanguageSettingContainer {
    display: grid;
    gap: 20px;
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    padding: 30px 0px;
    container-type: inline-size;
}

.LanguageSettingContainer .TitleBox {
    display: grid;
    gap: 5px;
    justify-content: center;
    justify-items: center;
}

.LanguageSettingContainer .TitleBox .Title {
    font-size: 20px;
    font-weight: bold;
    color: #333;
}

.LanguageSettingContainer .TitleBox .SubTitle {
    font-size: 14px;
    font-weight: 300;
    color: #777;
}

.LanguageSettingForm {
    display: grid;
    border-top: 1px solid #ddd;
}

.LanguageSettingForm .LanguageSettingButton {
    all: unset;
    display: grid;
    align-items: center;
    grid-template-columns: 1fr 1fr 30px;
    border-bottom: 1px solid #ddd;
    padding: 15px 0px 15px 20px;
}

.LanguageSettingForm .LanguageSettingButton:hover {
    background-color: #f9f9f9;
}

.LanguageSettingForm .LanguageSettingButton .LanguageName {
    font-weight: bold;
    color: #555;
}
.LanguageSettingForm .LanguageSettingButton .LanguageNameJapanese {
    font-size: 15px;
    font-weight: 300;
    color: #777;
}
.LanguageSettingForm .LanguageSettingButton .Chevron {
    color: #555;
}

@container (max-width: 400px) {
    .LanguageSettingForm .LanguageSettingButton {
        grid-template-columns: 1fr 30px;
    }

    .LanguageSettingForm .LanguageSettingButton .LanguageName {
        grid-column: 1 / 2;
        grid-row: 1 / 2;
    }

    .LanguageSettingForm .LanguageSettingButton .LanguageNameJapanese {
        grid-column: 1 / 2;
        grid-row: 2 / 3;
        font-size: 13px;
    }

    .LanguageSettingForm .LanguageSettingButton .Chevron {
        grid-column: 2 / 3;
        grid-row: 1 / 3;
    }
}